<?php

declare(strict_types=1);

/** 
 * @author Robert Strutts <Robert@TryingToScale.com>
 * @copyright Copyright (c) 2022, Robert Strutts.
 * @license https://mit-license.org/
 */

require 'src/before_main.php';
\bs_tts\site_helper::set_all_projects(['mockup']);
\bs_tts\site_helper::set_default_project("mockup");

$PHPUNIT_Testing = false;

$cli_args = "/mockup/app/home/op_cache";
\bs_tts\site_helper::init(PROJECT_BASE_DIR, $cli_args, "get", $PHPUNIT_Testing);

require 'src/main.php';

if (\tts\console_app::is_cli() === false) {
    echo 'Unable to Start';
    exit;
}

echo 'Starting...' . PHP_EOL;

//$returned_route = \tts\router::execute();

//if ($returned_route["found"] === false) {
    $app = new \tts\app();
    $app->load_controller();
//}
